<solidify-base-action-dialog [titleToTranslate]="(securityService.isMemberOfOrgUnit(data.orgUnitId) ? 'organizationalUnit.modal.requestToChangeRole.title' :
'organizationalUnit.modal.requestAccess.title') |
translate"
>
  <form (ngSubmit)="validate()"
        [formGroup]="form"
        class="form"
  >
    <mat-form-field *ngIf="getFormControl(formDefinition.roleId) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.desiredRole | translate}}</mat-label>
      <mat-select [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskJoinRole"
                  [formControl]="fd"
                  [required]="formValidationHelper.hasRequiredField(fd)"
      >
        <mat-option *ngFor="let role of (listRoleObs | async)"
                    [value]="role.resId"
                    solidifyTooltipOnEllipsis
        >
          {{role.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.message) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.message | translate }}</mat-label>
      <textarea [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskJoinMessage"
                [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                cdkAutosizeMaxRows="10"
                cdkAutosizeMinRows="5"
                cdkTextareaAutosize
                matInput
      ></textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </form>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="validate()"
          (onEnter)="validate()"
          [disabled]="form.invalid"
          [solidifyButtonSpinner]="isLoadingObs | async"
          [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskJoinSubmit"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.send | translate}}
  </button>
</div>

